Favicon

You are here: Home > API Reference > Apple > Apple Devices > Get admDevice agent recovery by Id

Get admDevice agent recovery by Id

Required Permission: mdm.apple.device.action

Get admDevice agent recovery by Id

GET
https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/devices/{admDeviceId}/agent-recovery-managed-configuration
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/devices/{admDeviceId}/agent-recovery-managed-configuration" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/devices/{admDeviceId}/agent-recovery-managed-configuration", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/apple/enterprise/devices/{admDeviceId}/agent-recovery-managed-configuration",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
admDeviceId string
required
Match pattern: ^(([a-fA-F0-9]{24})|(\w{1,}))$

Responses

200 Response application/json
status boolean optional
data object optional
{
    "status": true,
    "data": {}
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}